> For the complete documentation index, see [llms.txt](https://docs.fathom.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fathom.fi/fxd-stablecoin/maths-for-position-safety.md).

# Maths for position safety

For a position to be considered safe, below should hold true.

$$
lockedCollateralAmount \* PriceWithSafetyMargin > DebtShare \* debtAccumulateRate,
$$

where

$$
Price WithSafetyMargin = RawPrice \* LTV
$$

When *RawPrice* is the price of collateral from `PriceFeed` and *LTV* is Loan To Ratio.

In other words

$$
lockedCollateralVaule > debtVault
$$

$$
debtVault = debtShare \* debtAccumulateRate
$$

And `debtAccumulatedRate` is calculated as

$$
debtAccumulatedRate = (1 + interestRate)^{1 / 31,536,000}
$$

since `debtAccumulatedRate` is a second pounding *interestRate*.

#### Position safety calculation model

Please refer to below position safety calculation model.

{% embed url="<https://docs.google.com/spreadsheets/d/1--XSZWeKq2HudwH6Btlg8hSpUuEOFStGYXXUDoOW7Es/edit?usp=sharing>" %}
<https://docs.google.com/spreadsheets/d/1--XSZWeKq2HudwH6Btlg8hSpUuEOFStGYXXUDoOW7Es/edit?usp=sharing>
{% endembed %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fathom.fi/fxd-stablecoin/maths-for-position-safety.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
